$darker: rgb(68, 67, 67);
$dark: rgb(87, 86, 86);
$middle: rgb(126, 125, 125);
$light: rgb(180, 180, 180);
$verylight: rgb(221, 221, 221);
$alert: rgb(11, 101, 117);
$alert-soft: rgb(83, 187, 206);
$alert-middle: rgba(4, 81, 94, 0.288);
$alert-light: rgb(199, 234, 241);

html {
    scroll-behavior: smooth;
}
body {
    margin: 0;
    padding: 0;
    font-family: 'PT Sans', sans-serif;
}

// page layout

.container {
    display: flex;
}

.nav {
    width: 330px;
    flex-shrink: 0;
}

.content {
    flex-grow: 1;
}

.nav-bg {
    width: 330px;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    background-color: $dark;
    z-index: -1;
}
@media (max-width: 750px) {
    .container {
        display: block;
    }
    .nav {
        width: 100%;
    }
    .nav-bg {
        display: none;
    }
}

/*alert covid*/
#alertCovid {
    display: none;
    position: relative;
}
#close-alert {
    position: absolute;
    top: 2px;
    right: 2px;
    cursor: pointer;
}
.alert-flex {
    display: flex;
    justify-content: space-evenly;
    flex-flow: row wrap;
    margin: 0;
    padding: 0;
    background-color: $alert-light;
    color: $alert;
    .mesure {
        flex-shrink: 0;
        display: flex;
        align-items: center;
        margin: 5px 10px;
        img {
            flex-shrink: 0;
            margin-right: 8px;
        }
        p {
            text-transform: uppercase;
            margin: 0;
            padding: 0;
            font-size: 14px;
        }
    }
}


@media (max-width: 650px) {
    .alert-flex {
        padding: 12px 8px 8px 8px;
    }
}

/*header*/
.header {
    display: flex;
    flex-wrap: wrap;
    padding: 8px;
    background-color: black;
    color: white;
    .logo {
        color: white;
        text-decoration: none;
        display: flex;
        margin-right: 8px;
        justify-content: center;
        align-items: center;
        width: 70px;
        height: 70px;
        border-radius: 50%;
        border: 5px solid white;
        font-size: 50px;
        font-weight: 700;
        cursor: pointer;
    }
}

@media (max-width: 380px) {
    .header {
        justify-content: center;
    }
}

/*navigation*/
.nav {
    overflow: hidden;
}

.navigation {
    margin: 0;
    padding: 0;
    #fav {
        background-color: $dark;
        &:hover{
            background-color: $middle;
        }
    }
    .toggleSubMenu {
        background-color: $dark;
        .arrow {
            transform: rotate(-90deg);
        }
    }
    .toggleSubMenu.open {
        .arrow {
            transform: rotate(0deg);
        }
    }
    li {
        background-color: $darker;
        cursor: pointer;
        margin: 0;
        padding: 0;
        list-style: none;
        font-weight: 700;
        font-size: 22px;
        border-bottom: 1px solid $middle;
        a {
            display: flex;
            justify-content: space-between;
            padding: 8px;
            color: white;
            display: block;
            width: 100%;
            text-decoration: none;
            &:hover{
                background-color: $middle;
            }
        }
        ul {
            margin: 0;
            padding: 0;
            li {
                border-bottom: none;
                font-size: 18px;
                a {
                    padding-left: 30px;
                }
            }
        }
    }
}

/*Message d'accueil*/
#welcome {
  margin: 20px 10%;
  color: $alert-soft;
  h2 {
      font-size: 34px;
      margin: 0;
      padding: 0;
  }
  p {
      font-size: 24px;
      margin: 0;
      padding: 0;
  }
  .bus-blue {
      width: 40%;
      max-width: 200px;
  }
}

/*styles de la liste des lignes à consulter*/

#listeLigne {
    margin: 20px 2%;
}

.ligneDiv {
    display: flex;
    flex-direction: column;
    margin: 10px 4px;
    border: 1px solid $verylight;
    border-radius: 4px;
}

.ligneType {
    display: flex;
    font-size: 14px;
    background-color: $verylight;
    color: $darker;
    padding: 4px;
    p {
        margin: 0;
    }
}

.ligneName {
    flex-grow: 1;
    display: flex;
    align-items: center;
}

.ligneShortName {
    flex-shrink: 0;
    height: 22px;
    padding: 3px 6px;
    margin: 4px;
    border-radius: 3px;
    font-weight: 700;
}

.rond {
    width: 22px;
    padding: 3px;
    border-radius: 50%;
    text-align: center;
}

.ligneLongName {
    flex-shrink: 1;
    padding: 3px 6px;
}

.boutonsDiv {
    display: flex;
    justify-content: end;
    margin: 4px;
    .boutonDetail, .addFavori, .deleteFavori {
        margin: 2px;
        padding: 4px 6px;
        background-color: $alert;
        color: white;
        text-align: center;
        font-weight: 700;
        border-radius: 4px;
        cursor: pointer;
        &:hover {
            background-color: $alert-soft;
        }
    }
}


// Détails de la ligne choisie

#ligneDetails {
    display: none;
    margin: 20px 2%;
}

.detailsTitle {
    display: flex;
    align-items: center;
}

#iconeLigne {
    flex-shrink: 0;
    padding: 6px 8px;
    margin: 4px 10px 4px 4px;
    font-size: 24px;
    font-weight: 700;
    border-radius: 3px;
}

#iconeLigne.round {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
    height: 50px;
    width: 50px;
    border-radius: 50%;
}

.tableauHoraires {
    width: 100% ;
    margin-top: 20px;
    caption {
        text-align: left;
        font-size: 20px;
        font-weight: 700;
        color: $darker;
        padding: 6px 0;
    }
    tbody {
        tr:nth-child(odd) {
            background-color: $verylight
        }
    }

}

@media (max-width: 380px) {
    .tableauHoraires {
        font-size: 14px;
    }
}


// alert 'pas de favoris' ou 'pas de données'

#noData, #noFav {
    background-color: $alert-light;
    border-radius: 4px;
    border: 1px solid $alert-middle;
    padding: 8px;
    color: $alert;
}


// map

#myMap {
    height: 340px;
    width: 100%;
}

// alert favori
.sweetalert {
    border: 1px solid $alert-middle;
    padding: 0;
    max-width: 300px;
}
.swal-title,
.swal-text {
    color: $alert-soft;
    font-weight: 700;
}

.swal-overlay {
    background-color: rgba(4, 81, 94, 0.336);;
}